# CUpti_ActivityOverhead2 Struct Reference
[CUPTI Activity API]

The activity record for CUPTI and driver overheads. More...

## Data Fields

uint32_t | correlationId
uint64_t | end
CUpti_ActivityKind | kind
CUpti_ActivityObjectKindId | objectId
CUpti_ActivityObjectKind | objectKind
CUpti_ActivityOverheadKind | overheadKind
uint32_t | reserved0
uint64_t | start

## Detailed Description

This activity record provides CUPTI and driver overhead information (CUPTI_ACTIVITY_OVERHEAD).

## Field Documentation

uint32_t CUpti_ActivityOverhead2::correlationId

The correlation ID of the overhead operation to which records belong to. This ID is identical to the correlation ID in the driver or runtime API activity record that launched the overhead operation. In some cases, it can be zero, such as for CUPTI_ACTIVITY_OVERHEAD_CUPTI_BUFFER_FLUSH records.

uint64_t CUpti_ActivityOverhead2::end

The end timestamp for the overhead, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the overhead.

CUpti_ActivityKind CUpti_ActivityOverhead2::kind

The activity record kind, must be CUPTI_ACTIVITY_OVERHEAD.

CUpti_ActivityObjectKindId CUpti_ActivityOverhead2::objectId

The identifier for the activity object. 'objectKind' indicates which ID is valid for this record.

CUpti_ActivityObjectKind CUpti_ActivityOverhead2::objectKind

The kind of activity object that the overhead is associated with.

CUpti_ActivityOverheadKind CUpti_ActivityOverhead2::overheadKind

The kind of overhead, CUPTI, DRIVER, COMPILER etc.

uint32_t CUpti_ActivityOverhead2::reserved0

Reserved for internal use.

uint64_t CUpti_ActivityOverhead2::start

The start timestamp for the overhead, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the overhead.